petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetErrorIfStepFails

Error if no step succeeds

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetErrorIfStepFails(TS ts,PetscBool err)

Not Collective

### Input Parameter

| ts | - TS context
| err | - PETSC_TRUE to error if no step succeeds, PETSC_FALSE to return without failure

### Options Database Key

. -ts_error_if_step_fails - Error if no step succeeds

### Keywords

TS, set, error

### See Also

TSGetSNESIterations(), TSGetKSPIterations(), TSSetMaxStepRejections(), TSGetStepRejections(), TSGetSNESFailures(), TSSetErrorIfStepFails(), TSGetConvergedReason()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages